#### HEADER ================================================================
#
# [PURPOSE]
# Explore the NLME data
#
# [AUTHOR]
# Henning Schmidt
#
# [INPUT]
# Data in ../Data/01_dataNLME_PK/dataNLME.csv
#
# [OUTPUT]
# Plots and tables in ../Output/03_exploreNLMEdata

## Preliminaries ====

rm(list = ls())
library(IQRtools)
IQRinitCompliance("SCRIPT_03_exploreNLMEdata.R")

# -------------------------------------------------------------------------#
# Load raw data in GDF
# -------------------------------------------------------------------------#

data <- load_IQRdataGENERAL("../Data/01_dataNLME_PK/dataNLME.csv")

# -------------------------------------------------------------------------#
# Explore data
# -------------------------------------------------------------------------#

plot(data,pathname = "../Output/03_exploreNLMEdata/01_dataExploration")

summaryCov_IQRdataGENERAL(data,FLAGtotal = TRUE,filename = "../Output/03_exploreNLMEdata/TAB01_summaryCovPK.txt")

summaryCat_IQRdataGENERAL(data,FLAGtotal = TRUE,filename = "../Output/03_exploreNLMEdata/TAB02_summaryCatPK.txt")

summaryObservations_IQRdataGENERAL(data,filename = "../Output/03_exploreNLMEdata/TAB03_summaryObsPK.txt")

